%define pypi_name sniffio

Name:       python-%{pypi_name}
Version:    1.2.0
Release:    %mkrel 4
Summary:    Sniff out which async library your code is running under
Group:      Development/Python
License:    MIT or ASL
URL:        https://pypi.org/project/sniffio
Source0:    %{pypi_source}
BuildArch:  noarch

%description
You’re writing a library. You’ve decided to be ambitious, and support multiple
async I/O packages, like Trio, and asyncio, and … You’ve written a bunch of
clever code to handle all the differences. But… how do you know which piece of
clever code to run?

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
You’re writing a library. You’ve decided to be ambitious, and support multiple
async I/O packages, like Trio, and asyncio, and … You’ve written a bunch of
clever code to handle all the differences. But… how do you know which piece of
clever code to run?

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/sniffio
%{python3_sitelib}/sniffio-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.2.0-4.mga9
+ Revision: 1822391
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 1.2.0-3.mga9
+ Revision: 1773446
- rebuild for python3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.2.0-2.mga9
+ Revision: 1705085
- rebuild for python 3.9

* Fri Dec 25 2020 guillomovitch <guillomovitch> 1.2.0-1.mga8
+ Revision: 1663595
- new version 1.2.0

* Thu Jul 23 2020 ovitters <ovitters> 1.1.0-3.mga8
+ Revision: 1608312
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sun Apr 19 2020 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1569897
- imported package python-sniffio

